# Building an augmented reality application with the WebXR Device API

This code has the resources you need for the codelab [Building an augmented reality application with the WebXR Device API](https://codelabs.developers.google.com/codelabs/ar-with-webxr/#0).

This is a work in progress. If you find a mistake or have a suggestion, please [file an issue](https://github.com/googlecodelabs/ar-with-webxr/issues). Thanks!

You can [view the completed web site here](https://googlecodelabs.github.io/ar-with-webxr/final).

## What you'll learn

* How to use the WebXR Device API
* How to find a surface using augmented reality hit tests
* How to load and render a 3D model synchronized with the real world camera feed

## What you'll need

* A workstation for coding and hosting static web content
* [ARCore-capable Android device](https://developers.google.com/ar/discover/#supported_devices) running [Android 8.0 Oreo](https://www.android.com/versions/oreo-8-0/)
* ARCore installed (Chrome will automatically prompt you to install ARCore)
* [Chrome](https://www.google.com/chrome/). You'll need a version of Chrome that's >= 69.0.3453.2, at the time of writing, only in Chrome Canary.
* [Web Server for Chrome](https://chrome.google.com/webstore/detail/web-server-for-chrome/ofhbbkphhbklhfoeikjpcbhemlocgigb), or your own web server of choice
* USB cable to connect your AR device to workstation
* The sample code - Download a [zip](https://github.com/googlecodelabs/ar-with-webxr/archive/master) or clone this repo
* A text editor
* Basic knowledge of HTML, CSS, JavaScript, and Chrome DevTools
